#include "plasmamarok.h"

#include <plasma/widgets/icon.h>

#include <QGraphicsLinearLayout>
#include <QLabel>
#include <kprocess.h>

#include <KIcon>

Plasmamarok::Plasmamarok(QObject *parent, const QVariantList &args)
		: Plasma::Applet(parent, args)
{
}

void Plasmamarok::init()
{
	QGraphicsLinearLayout *m_layout = new QGraphicsLinearLayout(Qt::Horizontal,this);
	m_layout->setSpacing(0);
	m_layout->setContentsMargins(0,10,0,10);

	Plasma::Icon *icon_pause = new Plasma::Icon(KIcon("media-playback-pause"), "", this);
	m_layout->addItem(icon_pause);
	connect(icon_pause, SIGNAL(clicked()), this, SLOT(clickPause()));

	Plasma::Icon *icon_play = new Plasma::Icon(KIcon("media-playback-start"), "", this);
	m_layout->addItem(icon_play);
	connect(icon_play, SIGNAL(clicked()), this, SLOT(clickPlay()));


	Plasma::Icon *icon_next = new Plasma::Icon(KIcon("media-skip-forward"), "", this);
	m_layout->addItem(icon_next);
	connect(icon_next, SIGNAL(clicked()), this, SLOT(clickNext()));
}

Plasmamarok::~Plasmamarok()
{
}

void Plasmamarok::clickNext()
{
	kDebug()<<"Plasmamarok next ";
	QStringList args;
	args << "amarok";
	args << "player";
	args << "next";
	kDebug()<<KProcess::execute("dcop",args);
}

void Plasmamarok::clickPlay()
{
	kDebug()<<"Plasmamarok next ";
	QStringList args;
	args << "amarok";
	args << "player";
	args << "play";
	kDebug()<<KProcess::execute("dcop",args);
}

void Plasmamarok::clickPause()
{
	kDebug()<<"Plasmamarok pause ";
	QStringList args;
	args << "amarok";
	args << "player";
	args << "playPause";
	kDebug()<<KProcess::execute("dcop",args);
}



#include "plasmamarok.moc"
